com.amazonaws.services.simpleworkflow.model

## Class RequestCancelExternalWorkflowExecutionDecisionAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.RequestCancelExternalWorkflowExecutionDecisionAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class RequestCancelExternalWorkflowExecutionDecisionAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `RequestCancelExternalWorkflowExecution` decision.

Access Control

You can use IAM policies to control this decision's access to Amazon SWF resources as follows:

- Use a `Resource` element with the domain name to limit the action to only specified domains.
- Use an `Action` element to allow or deny permission to call this action.
- You cannot use an IAM policy to constrain this action's parameters.

If the caller does not have sufficient permissions to invoke the action, or the parameter values fall outside the specified constraints, the action fails. The associated event attribute's cause parameter will be set to OPERATION_NOT_PERMITTED. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RequestCancelExternalWorkflowExecutionDecisionAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`RequestCancelExternalWorkflowExecutionDecisionAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getControl()` Optional. Data attached to the event that can be used by the decider in subsequent workflow tasks.
`String` `getRunId()` The `runId` of the external workflow execution to cancel.
`String` `getWorkflowId()` Required. The `workflowId` of the external workflow execution to cancel.
`int` `hashCode()`
`void` `setControl(String control)` Optional. Data attached to the event that can be used by the decider in subsequent workflow tasks.
`void` `setRunId(String runId)` The `runId` of the external workflow execution to cancel.
`void` `setWorkflowId(String workflowId)` Required. The `workflowId` of the external workflow execution to cancel.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`RequestCancelExternalWorkflowExecutionDecisionAttributes` `withControl(String control)` Optional. Data attached to the event that can be used by the decider in subsequent workflow tasks.
`RequestCancelExternalWorkflowExecutionDecisionAttributes` `withRunId(String runId)` The `runId` of the external workflow execution to cancel.
`RequestCancelExternalWorkflowExecutionDecisionAttributes` `withWorkflowId(String workflowId)` Required. The `workflowId` of the external workflow execution to cancel.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RequestCancelExternalWorkflowExecutionDecisionAttributes

    public RequestCancelExternalWorkflowExecutionDecisionAttributes()

### Method Detail

#### setWorkflowId

    public void setWorkflowId(String workflowId)

Required. The `workflowId` of the external workflow execution to cancel.

Parameters:
  `workflowId` - Required. The `workflowId`

#### getWorkflowId

    public String getWorkflowId()

Required. The `workflowId` of the external workflow execution to cancel.

Returns:
  Required. The `workflowId`

#### withWorkflowId

    public RequestCancelExternalWorkflowExecutionDecisionAttributes withWorkflowId(String workflowId)

Required. The `workflowId` of the external workflow execution to cancel.

Parameters:
  `workflowId` - Required. The `workflowId`
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRunId

    public void setRunId(String runId)

The `runId` of the external workflow execution to cancel.

Parameters:
  `runId` - The `runId` of the external workflow execution to cancel.

#### getRunId

    public String getRunId()

The `runId` of the external workflow execution to cancel.

Returns:
  The `runId` of the external workflow execution to cancel.

#### withRunId

    public RequestCancelExternalWorkflowExecutionDecisionAttributes withRunId(String runId)

The `runId` of the external workflow execution to cancel.

Parameters:
  `runId` - The `runId` of the external workflow execution to cancel.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setControl

    public void setControl(String control)

Optional. Data attached to the event that can be used by the decider in subsequent workflow tasks.

Parameters:
  `control` - Optional.

#### getControl

    public String getControl()

Optional. Data attached to the event that can be used by the decider in subsequent workflow tasks.

Returns:
  Optional.

#### withControl

    public RequestCancelExternalWorkflowExecutionDecisionAttributes withControl(String control)

Optional. Data attached to the event that can be used by the decider in subsequent workflow tasks.

Parameters:
  `control` - Optional.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public RequestCancelExternalWorkflowExecutionDecisionAttributes clone()

Overrides:
  `clone` in class `Object`